cascading.flow.stream.duct

## Interface Reducing<Group,Result>

- All Known Implementing Classes:
    AggregatorEveryStage, CloseReducingDuct, GroupAssertionEveryStage

      public interface Reducing<Group,Result>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `completeGroup(Duct previous, Result result)`
    `void` | `startGroup(Duct previous, Group group)`

- - ### Method Detail

    - #### startGroup

          void startGroup(Duct previous,
                        Group group)

    - #### completeGroup

          void completeGroup(Duct previous,
                           Result result)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.